> For the complete documentation index, see [llms.txt](https://docs.chatbees.ai/chatbees/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chatbees.ai/chatbees/api-references/ingest-data-sources/index-ingestion.md).

# Index Ingestion

After an ingestion completes, simply call `index_ingestion()` to index all content into the collection.

{% hint style="info" %}
By default, Index Ingestion automatically replaces previous results. For instance, if you ingest a Confluence space into a collection and later update it with new or modified pages, the new index will automatically supersede the previous pages.
{% endhint %}

{% tabs %}
{% tab title="HTTP" %}

```
POST /docs/index_ingestion HTTP/1.1
Api-Key: my_api_key
Content-Type: application/json
Host: my_account_id.us-west-2.aws.chatbees.ai

{
  "namespace_name": "string",
  "collection_name": "string",
  "ingestion_id": "string"
}

Response:
{}
```

{% endtab %}

{% tab title="Python" %}

```
import chatbees as cdb

# Configure API key
cdb.init(api_key="my_api_key", account_id="my_account_id")

col = cdb.collection('llm_research')

col.index_ingestion(ingestion_id)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chatbees.ai/chatbees/api-references/ingest-data-sources/index-ingestion.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
